- [HTTP request](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/patch#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/patch#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/patch#try-it)

Updates an Entry.

### HTTP request

`PATCH https://dataplex.googleapis.com/v1/{entry.name=projects/*/locations/*/entryGroups/*/entries/**}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `entry.name` | `string` Identifier. The relative resource name of the entry, in the format `projects/{project_id_or_number}/locations/{locationId}/entryGroups/{entryGroupId}/entries/{entryId}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. Mask of fields to update. To update Aspects, the updateMask must contain the value "aspects". If the updateMask is empty, the service will update all modifiable fields present in the request. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `allowMissing` | `boolean` Optional. If set to true and the entry doesn't exist, the service will create it. |
| `deleteMissingAspects` | `boolean` Optional. If set to true and the aspectKeys specify aspect ranges, the service deletes any existing aspects from that range that weren't provided in the request. |
| `aspectKeys[]` | `string` Optional. The map keys of the Aspects which the service should modify. It supports the following syntaxes: - `<aspect_type_reference>` - matches an aspect of the given type and empty path. - `<aspect_type_reference>@path` - matches an aspect of the given type and specified path. For example, to attach an aspect to a field that is specified by the `schema` aspect, the path should have the format `Schema.<field_name>`. - `<aspect_type_reference>@*` - matches aspects of the given type for all paths. - `*@path` - matches aspects of all types on the given path. The service will not remove existing aspects matching the syntax unless `deleteMissingAspects` is set to true. If this field is left empty, the service treats it as specifying exactly those Aspects present in the request. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataplex.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permissions on the `name` resource:

- `dataplex.aspectTypes.use`
- `dataplex.entries.create`
- `dataplex.entries.update`
- `dataplex.entryGroups.useContactsAspect`
- `dataplex.entryGroups.useDataProfileAspect`
- `dataplex.entryGroups.useDataQualityRuleTemplateAspect`
- `dataplex.entryGroups.useDataQualityRuleTemplateEntry`
- `dataplex.entryGroups.useDataQualityScorecardAspect`
- `dataplex.entryGroups.useDataRulesAspect`
- `dataplex.entryGroups.useDatabaseDataPolicyAspect`
- `dataplex.entryGroups.useDbtConnectorTypes`
- `dataplex.entryGroups.useDescriptionsAspect`
- `dataplex.entryGroups.useGenericAspect`
- `dataplex.entryGroups.useGenericEntry`
- `dataplex.entryGroups.useGraphProfileAspect`
- `dataplex.entryGroups.useGuidelinesAspect`
- `dataplex.entryGroups.useManagedConnectorTypes`
- `dataplex.entryGroups.useMySQLConnectorTypes`
- `dataplex.entryGroups.useOracleConnectorTypes`
- `dataplex.entryGroups.useOverviewAspect`
- `dataplex.entryGroups.usePostgreSQLConnectorTypes`
- `dataplex.entryGroups.useQueriesAspect`
- `dataplex.entryGroups.useSQLAccessAspect`
- `dataplex.entryGroups.useSQLServerConnectorTypes`
- `dataplex.entryGroups.useSQLTriggersAspect`
- `dataplex.entryGroups.useSchemaAspect`
- `dataplex.entryGroups.useSecondaryIndexesAspect`
- `dataplex.entryGroups.useStorageAspect`
- `dataplex.entryTypes.use`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).